<?php
namespace Incoviba\Common\Implement\Exception;

use Throwable;
use Exception;

class EmptyRedis extends Exception
{
    public function __construct(string $key, ?Throwable $previous = null)
    {
        $message = "Redis key {$key} not found in database.";
        $code = 750;
        parent::__construct($message, $code, $previous);
    }
}
